if (typeof window.montonioSelectWooLoaded === 'undefined') {
    window.montonioSelectWooLoaded = false;
}

function setupMontonioPickupPoints() {
    if (jQuery().selectWoo) {
        jQuery().selectWoo.amd.require(['select2/diacritics'], function(DIACRITICS) {
            function stripDiacritics (text) {
                // Used 'uni range + named function' from http://jsperf.com/diacritics/18
                function match(a) {
                    return DIACRITICS[a] || a;
                }

                return text.replace(/[^\u0000-\u007E]/g, match);
            }

            function customMatcher (params, data) {
                if (!data.parentText) {
                    data.parentText = jQuery(data.element).parent('optgroup').attr('label');
                }
                data.parentText = data.parentText || "";

                // Always return the object if there is nothing to compare
                if ( params.term == null || params.term.toString().trim() === '' ) {
                    return data;
                }

                // Do a recursive check for options with children
                if (data.children && data.children.length > 0) {
                    // Clone the data object if there are children
                    // This is required as we modify the object to remove any non-matches
                    var match = jQuery.extend(true, {}, data);

                    // Check each child of the option
                    for (var c = data.children.length - 1; c >= 0; c--) {
                        var child = data.children[c];

                        var matches = customMatcher(params, child);

                        // If there wasn't a match, remove the object in the array
                        if (matches == null) {
                            match.children.splice(c, 1);
                        }
                    }

                    // If any children matched, return the new object
                    if (match.children.length > 0) {
                        return match;
                    }

                    // If there were no matching children, check just the plain object
                    return customMatcher(params, match);
                }

                var original = (data.parentText + ' ' + data.text).toUpperCase();
                var originalWithoutDiacritics = stripDiacritics(original);
                var term = params.term.toUpperCase();

                // Check if the text contains the term
                if (original.indexOf(term) > -1 || originalWithoutDiacritics.indexOf(term) > -1) {
                    return data;
                }

                // If it doesn't contain the term, don't return anything
                return null;
            }

            jQuery(document.body).on('updated_checkout', function() {
                var select = jQuery('.montonio-pickup-point-select');
                select.selectWoo({
                    matcher: customMatcher,
                });
            });

            var select = jQuery('.montonio-pickup-point-select');
            select.selectWoo({
                matcher: customMatcher,
            });

            jQuery(document).on('select2:open', '.montonio-pickup-point', function() {
                setTimeout(function() {
                    jQuery('.select2-container--open').addClass('montonio-pickup-point-container');
                    document.querySelector('.select2-container--open .select2-search__field').focus();
                }, 10);
            });

            window.montonioSelectWooLoaded = true;
        });
    }

    if (window.montonioSelectWooLoaded) {
        window.clearInterval(window.montonioSelectWooInterval);
    }
}

if (window.montonioSelectWooInterval) {
    window.clearInterval(window.montonioSelectWooInterval);
}

window.montonioSelectWooInterval = setInterval(setupMontonioPickupPoints, 1);

(function($){
    'use strict';

    $(document).on('change', '.montonio-pickup-point-select', function(){
        try {
            let storage = JSON.parse(sessionStorage.getItem('montonioPreferredPickupPoint')) || {}
            var selected_pickup_point = $(this).find(':selected').map(function(){ return $(this).val(); }).get(0);

            if ($('input[name="shipping_method[0]"]').is(':radio')) {
                var selected_service = $('input[name^="shipping_method"]:checked').val();
            } else {
                var selected_service = $('input[name="shipping_method[0]"]').val();
            }

            storage[selected_service] = selected_pickup_point;
            sessionStorage.setItem('montonioPreferredPickupPoint', JSON.stringify(storage));
        } catch {}

        $('.montonio-pickup-point-select').not(this).val(selected_pickup_point).selectWoo();
    });

    $(document).on('updated_checkout', function(){
        if ($('input[name="shipping_method[0]"]').is(':radio')) {
            var selected_service = $('input[name^="shipping_method"]:checked').val();
        } else {
            var selected_service = $('input[name="shipping_method[0]"]').val();
        }

        if (selected_service && sessionStorage.getItem('montonioPreferredPickupPoint')){
            try {
                if(JSON.parse(sessionStorage.getItem('montonioPreferredPickupPoint'))[selected_service]) {
                    $('.montonio-pickup-point-select').val(JSON.parse(sessionStorage.getItem('montonioPreferredPickupPoint'))[selected_service]).change();
                }
            } catch {}
        }
    });
    
})(jQuery);