<?php
defined('ABSPATH') or exit;

require_once dirname(dirname(__FILE__)) . '/class-montonio-shipping-method-settings.php';

class Montonio_Itella_Post_Offices_Settings extends Montonio_Shipping_Method_Settings
{
    /**
     * @var float
     */
    protected $maximumWeight = Montonio_Itella_Post_Offices::MAXIMUM_WEIGHT;

    public function __construct()
    {
        // Setup syncing shipping options on settings save
        add_filter(
            'woocommerce_settings_api_sanitized_fields_montonio_itella_post_offices',
            array($this, 'montonio_sync_pickup_points')
        );
        parent::__construct();

        $this->defaultTitle = 'Itella post office';
    }

    /**
     * @return self
     */
    public static function create()
    {
        return new self();
    }

    /**
     * @return void
     */
    protected function initBasicFormFields()
    {
        $this->setFormFields($this->getCommonBasicFormFields());
    }

    /**
     * @return void
     */
    protected function initInstanceFormFields()
    {
        $this->setInstanceFormFields($this->getCommonInstanceFormFields());
    }
}
